List transfers

List all the transfers associated with a particular Moov account.

Read our transfers overview guide to learn more.

When you run this request, you retrieve 200 transfers at a time. You can advance past a results set of 200 transfers by using the skip parameter (for example, if you set skip= 10, you will see a results set of 200 transfers after the first 10). If you are searching a high volume of transfers, the request will likely process very slowly. To achieve faster performance, restrict the data as much as you can by using the StartDateTime and EndDateTime parameters for a limited period of time. You can run multiple requests in smaller time window increments until you've retrieved all the transfers you need.

To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/transfers.read scope.

GET
/accounts/{accountID}/transfers
curl -X GET "https://api.moov.io/accounts/{accountID}/transfers" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.10.00"
mc, _ := moov.NewClient()

var accountID string

mc.ListTransfers(ctx, accountID, moov.WithTransferStatus("completed"))
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.transfers.list({
    skip: 60,
    count: 20,
    accountID: "0579c895-4d2b-4024-8092-f71b80ab5d00",
  });

  console.log(result);
}

run();
declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
use Moov\MoovPhp\Models\Operations;

$sdk = MoovPhp\Moov::builder()
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();

$request = new Operations\ListTransfersRequest(
    skip: 60,
    count: 20,
    accountID: '0579c895-4d2b-4024-8092-f71b80ab5d00',
);

$response = $sdk->transfers->list(
    request: $request
);

if ($response->transfers !== null) {
    // handle response
}
package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.errors.ListTransfersValidationError;
import io.moov.sdk.models.operations.ListTransfersRequest;
import io.moov.sdk.models.operations.ListTransfersResponse;
import java.lang.Exception;

public class Application {

    public static void main(String[] args) throws ListTransfersValidationError, Exception {

        Moov sdk = Moov.builder()
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

        ListTransfersRequest req = ListTransfersRequest.builder()
                .accountID("0579c895-4d2b-4024-8092-f71b80ab5d00")
                .skip(60L)
                .count(20L)
                .build();

        ListTransfersResponse res = sdk.transfers().list()
                .request(req)
                .call();

        if (res.transfers().isPresent()) {
            System.out.println(res.transfers().get());
        }
    }
}
from moovio_sdk import Moov
from moovio_sdk.models import components


with Moov(
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

    res = moov.transfers.list(account_id="0579c895-4d2b-4024-8092-f71b80ab5d00", skip=60, count=20)

    # Handle response
    print(res)
require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
  security: Models::Components::Security.new(
    username: '',
    password: ''
  )
)

req = Models::Operations::ListTransfersRequest.new(
  skip: 60,
  count: 20,
  account_id: '0579c895-4d2b-4024-8092-f71b80ab5d00'
)
res = s.transfers.list(request: req)

unless res.transfers.nil?
  # handle response
end
using Moov.Sdk;
using Moov.Sdk.Models.Components;
using Moov.Sdk.Models.Requests;

var sdk = new MoovClient(security: new Security() {
    Username = "",
    Password = "",
});

ListTransfersRequest req = new ListTransfersRequest() {
    Skip = 60,
    Count = 20,
    AccountID = "0579c895-4d2b-4024-8092-f71b80ab5d00",
};

var res = await sdk.Transfers.ListAsync(req);

// handle response
The request completed successfully.
application/json
[
  {
    "transferID": "d835gf30-4b19-4850-a9b2-c0624c41ecb3",
    "transferType": "card-payment",
    "source": {
      "paymentMethodID": "9506dbf6-4208-44c3-ad8a-e4431660e1f2",
      "paymentMethodType": "card-payment",
      "account": {
        "accountID": "7e4b26c2-b399-49ef-8390-50e1ea44d550",
        "email": "jules@julesjackson.com",
        "displayName": "Jules Jackson"
      },
      "card": {
        "cardID": "aefd5563-93c6-413c-875e-1bd0ebfc116d",
        "fingerprint": "2f5d782ceef1c3bd31ed5...",
        "brand": "Visa",
        "cardType": "credit",
        "lastFourCardNumber": "2000",
        "bin": "400020",
        "expiration": {
          "month": "01",
          "year": "28"
        },
        "holderName": "Jules Jackson",
        "billingAddress": {
          "postalCode": "80301"
        },
        "domesticPushToCard": "standard",
        "domesticPullFromCard": "supported",
        "cardVerification": {
          "cvv": "unavailable",
          "addressLine1": "unavailable",
          "postalCode": "unavailable",
          "accountName": {
            "firstName": "unavailable",
            "lastName": "unavailable",
            "middleName": "unavailable",
            "fullName": "unavailable"
          }
        },
        "issuer": "Moov Visa Sandbox",
        "issuerCountry": "US",
        "cardAccountUpdater": {}
      }
    },
    "destination": {
      "paymentMethodID": "3f9969cf-a1f3-4d83-8ddc-229a506651cf",
      "paymentMethodType": "moov-wallet",
      "account": {
        "accountID": "34233b72-780c-4a0d-8b08-cbbe23k878f8",
        "email": "john@wholebodyfitness.io",
        "displayName": "Whole Body Fitness"
      },
      "wallet": {
        "walletID": "744b2e78-8cc8-4a6a-af42-611e3b844503",
        "partnerAccountID": "65b57f28-49e9-4afb-9bf6-7e4fb6444917",
        "walletType": "general"
      }
    },
    "status": "pending",
    "amount": {
      "currency": "USD",
      "valueDecimal": "329.45"
    },
    "amountDetails": {
      "tip": {
        "currency": "USD",
        "valueDecimal": "3.50"
      },
      "tax": {
        "currency": "USD",
        "valueDecimal": "8.25"
      }
    },
    "description": "Transfer from card to wallet",
    "createdOn": "2025-01-21T21:32:16Z",
    "moovFees": [
      {
        "accountID": "7e4b26c2-b399-49ef-8390-50e1ea44d550",
        "transferParty": "source",
        "totalAmount": {
          "currency": "USD",
          "valueDecimal": "0.10"
        },
        "feeIDs": [
          "9d957d33-1a9a-47aa-9460-fe1a90f003dd"
        ]
      }
    ],
    "options": {
      "cardPayment": {
        "dynamicDescriptor": "WhlBdy *Yoga 11-12"
      }
    },
    "processingDetails": {
      "cardPayment": {
        "status": "confirmed",
        "authorizationCode": "A1B2C3",
        "networkTransactionID": "123456789012345"
      }
    }
  }
]

x-request-id

string required
A unique identifier used to trace requests.
The request contained missing or expired authentication.

x-request-id

string required
A unique identifier used to trace requests.
The user is not authorized to make the request.

x-request-id

string required
A unique identifier used to trace requests.
The request was well-formed, but the contents failed validation. Check the request for missing or invalid fields.
application/json
{
  "accountIDs": "string",
  "status": "string",
  "startDateTime": "string",
  "endDateTime": "string",
  "skip": "string",
  "count": "string",
  "groupID": "string",
  "foreignID": "string",
  "scheduleID": "string",
  "paymentLinkCode": "string",
  "refunded": "string",
  "disputed": "string"
}

x-request-id

string required
A unique identifier used to trace requests.
Request was refused due to rate limiting.

x-request-id

string required
A unique identifier used to trace requests.
The request failed due to an unexpected error.

x-request-id

string required
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.

x-request-id

string required
A unique identifier used to trace requests.

Headers

X-Moov-Version

string
Set this header to v2026.10.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, the earliest supported version, which may not match the behavior documented here. An unrecognized well-formed version uses the latest supported version that is not newer than the requested version, when one exists. For example, v2026.08.00 uses v2026.07.00. A malformed value, such as 2022, returns a 404 response.
Possible values: v2026.10.00

Path parameters

accountID

string required

Query parameters

accountIDs

array
Optional, comma-separated account IDs by which the response is filtered based on whether the account ID is the source or destination.

status

string
Optional parameter for filtering transfers by status.
Possible values: created, pending, completed, failed, reversed, queued, awaiting-capture, canceled

startDateTime

string <date-time>
Optional date-time which inclusively filters all transfers created after this date-time.

endDateTime

string <date-time>
Optional date-time which exclusively filters all transfers created before this date-time.

groupID

string
Optional ID to filter for transfers in the same group.

scheduleID

string
Optional ID to filter for transfer occurrences belonging to the same schedule.

paymentLinkCode

string
Optional code to filter for transfers associated with the payment link.

refunded

boolean
Optional parameter to only return refunded transfers.

disputed

boolean
Optional parameter to only return disputed transfers.

foreignID

string
Optional alias from a foreign/external system which can be used to reference this resource.

authorizationIDs

array
Optional comma-separated authorization IDs.

transferTypes

array
Optional, comma-separated transfer types by which the response is filtered.

skip

integer <int64>

count

integer <int64>
Page size. When omitted, the server defaults to 200.

Response

application/json

amount

object
Amount associated with this transfer. In v2026.10 and later, an auth-capture card-payment transfer reports the approved authorization amount until a final capture is created. For these transfers, when a final capture is created, this is updated to the cumulative captured amount. For other transfer types, this is the transfer amount.
Show child attributes

currency

string required Pattern
A 3-letter ISO 4217 currency code.

valueDecimal

string required Pattern

A decimal-formatted numerical string that represents up to 9 decimal place precision.

For example, $12.987654321 is '12.987654321'.

amountDetails

object
Show child attributes

surcharge

object
The amount of surcharge applied to the transfer.
Show child attributes

currency

string required Pattern
A 3-letter ISO 4217 currency code.

valueDecimal

string required Pattern

A decimal-formatted numerical string that represents up to 9 decimal place precision.

For example, $12.987654321 is '12.987654321'.

tax

object
The amount of tax applied to the transfer.
Show child attributes

currency

string required Pattern
A 3-letter ISO 4217 currency code.

valueDecimal

string required Pattern

A decimal-formatted numerical string that represents up to 9 decimal place precision.

For example, $12.987654321 is '12.987654321'.

tip

object
The amount of tip applied to the transfer.
Show child attributes

currency

string required Pattern
A 3-letter ISO 4217 currency code.

valueDecimal

string required Pattern

A decimal-formatted numerical string that represents up to 9 decimal place precision.

For example, $12.987654321 is '12.987654321'.

authorization

object
Authorization amounts. This field is present only for an auth-capture card-payment transfer.
Authorization and capture amounts for an auth-capture card-payment transfer.
Show child attributes

authorizationID

string required
Identifier for the authorization.

authorizedAmount

object required
Hold approved by the issuer.
Show child attributes

currency

string required Pattern
A 3-letter ISO 4217 currency code.

valueDecimal

string required Pattern

A decimal-formatted numerical string that represents up to 9 decimal place precision.

For example, $12.987654321 is '12.987654321'.

capturableAmount

object required
Amount of the authorization still available after captures and authorization cancellations.
Show child attributes

currency

string required Pattern
A 3-letter ISO 4217 currency code.

valueDecimal

string required Pattern

A decimal-formatted numerical string that represents up to 9 decimal place precision.

For example, $12.987654321 is '12.987654321'.

capturedAmount

object required
Cumulative amount of captures that have not failed or been canceled.
Show child attributes

currency

string required Pattern
A 3-letter ISO 4217 currency code.

valueDecimal

string required Pattern

A decimal-formatted numerical string that represents up to 9 decimal place precision.

For example, $12.987654321 is '12.987654321'.

expiresOn

string<date-time>
Expiration time for the approved authorization, when available.

requestedAmount

object required
Amount submitted for authorization.
Show child attributes

currency

string required Pattern
A 3-letter ISO 4217 currency code.

valueDecimal

string required Pattern

A decimal-formatted numerical string that represents up to 9 decimal place precision.

For example, $12.987654321 is '12.987654321'.

completedOn

string<date-time>

createdOn

string<date-time>

description

string <=128 characters
An optional description of the transfer that is used on receipts and for your own internal use.

destination

object
Show child attributes

account

object
Show child attributes

accountID

string required

displayName

string required

email

string required

applePay

object
Describes an Apple Pay token on a Moov account.
Show child attributes

brand

string<enum> required
The card brand.
Possible values: American Express, Discover, Mastercard, Visa, Unknown

cardDisplayName

string required

User-friendly name of the tokenized card returned by Apple.

It usually contains the brand and the last four digits of the underlying card. There is no standard format.

cardType

string<enum> required
The type of the card.
Possible values: debit, credit, prepaid, unknown

dynamicLastFour

string required
The last four digits of the Apple Pay token, which may differ from the tokenized card's last four digits.

expiration

object required
The expiration date of the card or token.
Show child attributes

month

string 2 characters required
Two-digit month the card expires.

year

string 2 characters required
Two-digit year the card expires.

fingerprint

string <=100 characters required
Uniquely identifies a linked payment card or token. For Apple Pay, the fingerprint is based on the tokenized card number and may vary based on the user's device. This field can be used to identify specific payment methods across multiple accounts on your platform.

issuerCountry

string
Country where the underlying card was issued.

bankAccount

object
A bank account as contained within a payment method.
Show child attributes

bankAccountID

string required

bankAccountType

string<enum> required
The bank account type.
Possible values: checking, savings, general-ledger, loan

bankName

string required

fingerprint

string <=100 characters required

Once the bank account is linked, we don't reveal the full bank account number.

The fingerprint acts as a way to identify whether two linked bank accounts are the same.

holderName

string required

holderType

string<enum> required
The type of holder on a funding source.
Possible values: individual, business, guest

lastFourAccountNumber

string required

routingNumber

string required

status

string<enum> required
Possible values: new, verified, verificationFailed, pending, errored

updatedOn

string<date-time> required

card

object
A card as contained within a payment method.
Show child attributes

billingAddress

object required
The billing address associated with the card.
Show child attributes

addressLine1

string <=60 characters
Street address line 1.

addressLine2

string <=32 characters
Street address line 2 (e.g., apartment or suite number).

city

string <=32 characters
City name.

country

string <=2 characters
Two-letter ISO 3166-1 country code.

postalCode

string <=10 characters required
Postal or ZIP code.

stateOrProvince

string <=2 characters
Two-letter state or province code.

bin

string [6 to 8] characters required
The first six to eight digits of the card number, which identifies the financial institution that issued the card.

brand

string<enum> required
The card brand.
Possible values: American Express, Discover, Mastercard, Visa, Unknown

cardID

string required
ID of the card.

cardType

string<enum> required
The type of the card.
Possible values: debit, credit, prepaid, unknown

cardVerification

object required
The results of submitting cardholder data to a card network for verification.
Show child attributes

addressLine1

string required
Verification result of the billing address line 1. Derived from the same AVS code as postalCode; the card network returns a single code covering both address fields.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

cvv

string required
Verification result of the card's CVV.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

postalCode

string required
Verification result of the billing address postal code. Derived from the same AVS code as addressLine1; the card network returns a single code covering both address fields.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

accountName

object
Verification results of the cardholder's name, broken down by name component.
The results of submitting cardholder name to a card network for verification.
Show child attributes

firstName

string
Verification result of the cardholder's first name.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

fullName

string
Verification result of the cardholder's full name.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

lastName

string
Verification result of the cardholder's last name.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

middleName

string
Verification result of the cardholder's middle name.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

expiration

object required
The expiration date of the card or token.
Show child attributes

month

string 2 characters required
Two-digit month the card expires.

year

string 2 characters required
Two-digit year the card expires.

fingerprint

string <=100 characters required
Uniquely identifies a linked payment card or token. For Apple Pay, the fingerprint is based on the tokenized card number and may vary based on the user's device. This field can be used to identify specific payment methods across multiple accounts on your platform.

lastFourCardNumber

string 4 characters required
Last four digits of the card number

cardAccountUpdater

object
The results of the most recent card update request.
Show child attributes

updateType

string<enum>
The results of the card update request.
Possible values: unspecified, account-closed, contact-cardholder, expiration-update, no-change, no-match, number-update

updatedOn

string<date-time>
Timestamp from the card network indicating when the card update was processed.

cardOnFile

boolean
Indicates cardholder has authorized card to be stored for future payments.

domesticPullFromCard

string<enum>
Indicates if the card supports domestic pull-from-card transfer.
Possible values: not-supported, supported, unknown

domesticPushToCard

string<enum>
Indicates which level of domestic push-to-card transfer is supported by the card, if any.
Possible values: not-supported, standard, fast-funds, unknown

holderName

string
The name of the cardholder as it appears on the card.

issuer

string
Financial institution that issued the card.

issuerCountry

string
Country where the card was issued.

merchantAccountID

string
Merchant account whose details (statement descriptor, address, etc.) are used for the card verification authorization. If omitted, the partner account's details are used instead.

googlePay

object
Describes a Google Pay token on a Moov account.
Show child attributes

brand

string<enum> required
The card brand.
Possible values: American Express, Discover, Mastercard, Visa, Unknown

cardDisplayName

string required

User-friendly name of the tokenized card returned by Google Pay.

It usually contains the last four digits of the underlying card. There is no standard format.

cardType

string<enum> required
The type of the card.
Possible values: debit, credit, prepaid, unknown

dynamicLastFour

string 4 characters required
The last four digits of the Google Pay token, which may differ from the tokenized card's last four digits.

expiration

object required
The expiration date of the card or token.
Show child attributes

month

string 2 characters required
Two-digit month the card expires.

year

string 2 characters required
Two-digit year the card expires.

fingerprint

string <=100 characters required
Uniquely identifies a linked payment card or token. For Apple Pay, the fingerprint is based on the tokenized card number and may vary based on the user's device. This field can be used to identify specific payment methods across multiple accounts on your platform.

tokenID

string required
The unique identifier of the Google Pay token.

authMethod

string<enum>
The authentication method used for the Google Pay token.
Possible values: PAN_ONLY, CRYPTOGRAM_3DS

issuerCountry

string
Country where the underlying card was issued.

paymentMethodID

string

paymentMethodType

string<enum>
The payment method type that represents a payment rail and directionality
Possible values: moov-wallet, ach-debit-fund, ach-debit-collect, ach-credit-standard, ach-credit-same-day, rtp-credit, card-payment, push-to-card, pull-from-card, apple-pay, card-present-payment, instant-bank-credit, push-to-apple-pay, pull-from-apple-pay, google-pay, push-to-google-pay, pull-from-google-pay, wire-credit

wallet

object
Show child attributes

partnerAccountID

string<uuid> required

walletID

string required

walletType

string<enum> required

Type of a wallet.

  • default: The system-generated wallet automatically created when an account is granted the wallet capability.
  • general: An additional, user-defined wallet created via API or Dashboard.
  • card-issuing: The system-generated wallet automatically created when an account is granted the card-issuing capability.
Possible values: default, general, card-issuing

disputedAmount

object
Show child attributes

currency

string required Pattern
A 3-letter ISO 4217 currency code.

valueDecimal

string required Pattern

A decimal-formatted numerical string that represents up to 9 decimal place precision.

For example, $12.987654321 is '12.987654321'.

facilitatorFee

object
Total or markup fee.
Show child attributes

markup

object
Markup facilitator fee.
Show child attributes

currency

string required Pattern
A 3-letter ISO 4217 currency code.

valueDecimal

string required Pattern

A decimal-formatted numerical string that represents up to 9 decimal place precision.

For example, $12.987654321 is '12.987654321'.

total

object
Total facilitator fee.
Show child attributes

currency

string required Pattern
A 3-letter ISO 4217 currency code.

valueDecimal

string required Pattern

A decimal-formatted numerical string that represents up to 9 decimal place precision.

For example, $12.987654321 is '12.987654321'.

failureReason

string<enum>
Reason for a transfer's failure.
Possible values: source-payment-error, destination-payment-error, wallet-insufficient-funds, rejected-high-risk, processing-error

foreignID

string
Optional alias from a foreign/external system which can be used to reference this resource.

groupID

string

invoiceID

string
ID of the invoice that the transfer is associated with.

lineItems

object
An optional collection of line items for a transfer. When line items are provided, their total plus tax must equal the transfer amount.
Show child attributes

items

array<object> required
The list of line items.
Show child attributes

basePrice

object
The base price of the item before applying option modifiers.
Show child attributes

currency

string required Pattern
A 3-letter ISO 4217 currency code.

valueDecimal

string required Pattern

A decimal-formatted numerical string that represents up to 9 decimal place precision.

For example, $12.987654321 is '12.987654321'.

images

array<object>
Optional list of images associated with this line item.
Show child attributes

altText

string <=125 characters
Alternative text for the image.

imageID

string
Unique identifier for a image resource.

link

string<uri>
The image's public URL.

publicID

string Pattern
A unique identifier for an image, used in public image links.

name

string [1 to 150] characters
The name of the item.

options

array<object>
Optional list of modifiers applied to this item (e.g., toppings, upgrades, customizations).
Show child attributes

group

string <=100 characters
Optional group identifier to categorize related options (e.g., 'toppings').

images

array<object>
Optional list of images associated with this line item option.
Show child attributes

altText

string <=125 characters
Alternative text for the image.

imageID

string
Unique identifier for a image resource.

link

string<uri>
The image's public URL.

publicID

string Pattern
A unique identifier for an image, used in public image links.

name

string [1 to 150] characters
The name of the option or modifier.

priceModifier

object
Optional price modification applied by this option. Can be positive, negative, or zero.
Show child attributes

currency

string required Pattern
A 3-letter ISO 4217 currency code.

valueDecimal

string required Pattern

A decimal-formatted numerical string that represents up to 9 decimal place precision.

For example, $12.987654321 is '12.987654321'.

quantity

integer<int32>
The quantity of this option.

productID

string
Optional unique identifier associating the line item with a product.

quantity

integer<int32>
The quantity of this item.

metadata

object
Free-form key-value pair list. Useful for storing information that is not captured elsewhere.

moovFee

object
Fees charged to your platform account for transfers.
Show child attributes

currency

string required Pattern
A 3-letter ISO 4217 currency code.

valueDecimal

string required Pattern

A decimal-formatted numerical string that represents up to 9 decimal place precision.

For example, $12.987654321 is '12.987654321'.

moovFeeDetails

object
Processing and pass-through costs that add up to the moovFee.
Show child attributes

moovProcessing

object required
Moov processing fee. String type represents dollars with up to 9 decimal place precision.
Show child attributes

currency

string required Pattern
A 3-letter ISO 4217 currency code.

valueDecimal

string required Pattern

A decimal-formatted numerical string that represents up to 9 decimal place precision.

For example, $12.987654321 is '12.987654321'.

cardScheme

object
Card scheme fees accrued during authorization and settlement. String type represents dollars with up to 9 decimal place precision.
Show child attributes

currency

string required Pattern
A 3-letter ISO 4217 currency code.

valueDecimal

string required Pattern

A decimal-formatted numerical string that represents up to 9 decimal place precision.

For example, $12.987654321 is '12.987654321'.

discount

object
Network discount fee for American Express. String type represents dollars with up to 9 decimal place precision.
Show child attributes

currency

string required Pattern
A 3-letter ISO 4217 currency code.

valueDecimal

string required Pattern

A decimal-formatted numerical string that represents up to 9 decimal place precision.

For example, $12.987654321 is '12.987654321'.

interchange

object
Network interchange fee for Visa, Mastercard, or Discover. String type represents dollars with up to 9 decimal place precision.
Show child attributes

currency

string required Pattern
A 3-letter ISO 4217 currency code.

valueDecimal

string required Pattern

A decimal-formatted numerical string that represents up to 9 decimal place precision.

For example, $12.987654321 is '12.987654321'.

moovFees

array<object>
Fees charged to accounts involved in the transfer.
Show child attributes

accountID

string
ID of the account that fees were charged to.

feeIDs

array<string>
List of fee IDs that sum to the totalAmount.

totalAmount

object
The total amount of fees charged to the account.
Show child attributes

currency

string required Pattern
A 3-letter ISO 4217 currency code.

valueDecimal

string required Pattern

A decimal-formatted numerical string that represents up to 9 decimal place precision.

For example, $12.987654321 is '12.987654321'.

transferParty

string
Indicates whether the account charged was the partner, source, or destination of the transfer.
Possible values: source, destination, partner

occurrenceID

string

options

object
Show child attributes

achCredit

object
Show child attributes

addenda

array<object>
Show child attributes

isMasked

boolean
Flag indicating whether or not this record has been masked

record

string <=80 characters
The ACH addenda record, which may have masked PII

companyEntryDescription

string [4 to 10] characters
An optional override of the default NACHA company entry description for a transfer.

originatingCompanyName

string [4 to 16] characters
An optional override of the default NACHA company name for a transfer.

achDebit

object
Show child attributes

addenda

array<object>
Show child attributes

isMasked

boolean
Flag indicating whether or not this record has been masked

record

string <=80 characters
The ACH addenda record, which may have masked PII

companyEntryDescription

string [4 to 10] characters
An optional override of the default NACHA company entry description for a transfer.

debitHoldPeriod

string<enum>
An optional override of your default ACH hold period in banking days. The hold period must be longer than or equal to your default setting.
Possible values: no-hold, 1-day, 2-days

originatingCompanyName

string [4 to 16] characters
An optional override of the default NACHA company name for a transfer.

secCode

string<enum>
Code used to identify the ACH authorization method.
Possible values: WEB, PPD, CCD, TEL

cardPayment

object
Show child attributes

dynamicDescriptor

string [4 to 22] characters
An optional override of the default card statement descriptor for a transfer. Accounts must be enabled by Moov to set this field.

transactionSource

string<enum>

Specifies the nature and initiator of a transaction.

Crucial for recurring and merchant-initiated transactions as per card scheme rules. Omit for customer-initiated e-commerce transactions.

Possible values: first-recurring, recurring, unscheduled

pullFromCard

object
Show child attributes

dynamicDescriptor

string [4 to 22] characters
An optional override of the default card statement descriptor for a transfer. Accounts must be enabled by Moov to set this field.

transactionSource

string<enum>

Specifies the nature and initiator of a transaction.

Crucial for recurring and merchant-initiated transactions as per card scheme rules. Omit for customer-initiated e-commerce transactions.

Possible values: first-recurring, recurring, unscheduled

pushToCard

object
Show child attributes

dynamicDescriptor

string [4 to 22] characters
An optional override of the default card statement descriptor for a transfer. Accounts must be enabled by Moov to set this field.

wire

object
Wire-specific options returned on a transfer.
Show child attributes

beneficiaryReference

string <=15 characters
Optional beneficiary reference for the wire transfer. Maximum 15 characters.

paymentLinkCode

string

processingDetails

object
Show child attributes

achCredit

object
Show child attributes

status

string<enum> required
Status of a transaction within the ACH lifecycle.
Possible values: , initiated, originated, corrected, returned, completed, canceled

traceNumber

string <=15 characters required

correction

object
Show child attributes

code

string

description

string

reason

string

return

object
Show child attributes

code

string

description

string

reason

string

achDebit

object
Show child attributes

status

string<enum> required
Status of a transaction within the ACH lifecycle.
Possible values: , initiated, originated, corrected, returned, completed, canceled

traceNumber

string <=15 characters required

correction

object
Show child attributes

code

string

description

string

reason

string

return

object
Show child attributes

code

string

description

string

reason

string

cardPayment

object
Show child attributes

authorizationCode

string

failureCode

string<enum>
Possible values: call-issuer, do-not-honor, processing-error, invalid-transaction, invalid-amount, no-such-issuer, reenter-transaction, cvv-mismatch, lost-or-stolen, insufficient-funds, invalid-card-number, invalid-merchant, expired-card, incorrect-pin, transaction-not-allowed, suspected-fraud, amount-limit-exceeded, velocity-limit-exceeded, revocation-of-authorization, card-not-activated, issuer-not-available, could-not-route, cardholder-account-closed, account-closed, account-not-activated, authentication-failed, authentication-required, cardholder-action-required, format-error, invalid-pin, offline-approved, offline-declined, partial-approval, payment-stopped, pin-required, record-not-found, surcharge-not-permitted, transaction-reversed, verification-failed, unknown-issue, duplicate-transaction

networkTransactionID

string

retrievalReferenceNumber

string
The retrieval reference number assigned by the card network to the card payment.

status

string<enum>
Status of a card payment transaction.
Possible values: initiated, confirmed, canceled, settled, failed, completed

instantBankCredit

object
Show child attributes

network

string<enum> required
The network that the transaction was processed on.
Possible values: fednow, rtp

status

string<enum> required
Status of a transaction within the instant-bank lifecycle.
Possible values: initiated, completed, failed, accepted-without-posting

endToEndID

string

failureCode

string<enum>
Status codes for instant-bank failures.
Possible values: processing-error, invalid-account, account-closed, account-blocked, invalid-field, transaction-not-supported, limit-exceeded, invalid-amount, customer-deceased, participant-not-available, other

networkResponseCode

string

pullFromCard

object
Show child attributes

status

string<enum> required
Status of a pull-from-card transaction.
Possible values: initiated, failed, completed

authorizationCode

string

failureCode

string<enum>
Possible values: call-issuer, do-not-honor, processing-error, invalid-transaction, invalid-amount, no-such-issuer, reenter-transaction, cvv-mismatch, lost-or-stolen, insufficient-funds, invalid-card-number, invalid-merchant, expired-card, incorrect-pin, transaction-not-allowed, suspected-fraud, amount-limit-exceeded, velocity-limit-exceeded, revocation-of-authorization, card-not-activated, issuer-not-available, could-not-route, cardholder-account-closed, account-closed, account-not-activated, authentication-failed, authentication-required, cardholder-action-required, format-error, invalid-pin, offline-approved, offline-declined, partial-approval, payment-stopped, pin-required, record-not-found, surcharge-not-permitted, transaction-reversed, verification-failed, unknown-issue, duplicate-transaction

networkResponseCode

string

networkTransactionID

string

pushToCard

object
Show child attributes

status

string<enum> required
Status of a push-to-card transaction.
Possible values: initiated, deferred, canceled, failed, completed

authorizationCode

string

failureCode

string<enum>
Possible values: call-issuer, do-not-honor, processing-error, invalid-transaction, invalid-amount, no-such-issuer, reenter-transaction, cvv-mismatch, lost-or-stolen, insufficient-funds, invalid-card-number, invalid-merchant, expired-card, incorrect-pin, transaction-not-allowed, suspected-fraud, amount-limit-exceeded, velocity-limit-exceeded, revocation-of-authorization, card-not-activated, issuer-not-available, could-not-route, cardholder-account-closed, account-closed, account-not-activated, authentication-failed, authentication-required, cardholder-action-required, format-error, invalid-pin, offline-approved, offline-declined, partial-approval, payment-stopped, pin-required, record-not-found, surcharge-not-permitted, transaction-reversed, verification-failed, unknown-issue, duplicate-transaction

networkResponseCode

string

networkTransactionID

string

wire

object
Wire-specific processing details returned on a transfer.
Show child attributes

status

string<enum> required
Status of a transaction within the wire lifecycle.
Possible values: initiated, completed, failed, returned

failureCode

string<enum>
Status codes for wire failures.
Possible values: processing-error, invalid-account, account-closed, account-blocked, invalid-field, transaction-not-supported, limit-exceeded, invalid-amount, other

networkResponseCode

string
Response code returned by the network on failure.

refundedAmount

object
Show child attributes

currency

string required Pattern
A 3-letter ISO 4217 currency code.

valueDecimal

string required Pattern

A decimal-formatted numerical string that represents up to 9 decimal place precision.

For example, $12.987654321 is '12.987654321'.

scheduleID

string

source

object
Show child attributes

account

object
Show child attributes

accountID

string required

displayName

string required

email

string required

applePay

object
Describes an Apple Pay token on a Moov account.
Show child attributes

brand

string<enum> required
The card brand.
Possible values: American Express, Discover, Mastercard, Visa, Unknown

cardDisplayName

string required

User-friendly name of the tokenized card returned by Apple.

It usually contains the brand and the last four digits of the underlying card. There is no standard format.

cardType

string<enum> required
The type of the card.
Possible values: debit, credit, prepaid, unknown

dynamicLastFour

string required
The last four digits of the Apple Pay token, which may differ from the tokenized card's last four digits.

expiration

object required
The expiration date of the card or token.
Show child attributes

month

string 2 characters required
Two-digit month the card expires.

year

string 2 characters required
Two-digit year the card expires.

fingerprint

string <=100 characters required
Uniquely identifies a linked payment card or token. For Apple Pay, the fingerprint is based on the tokenized card number and may vary based on the user's device. This field can be used to identify specific payment methods across multiple accounts on your platform.

issuerCountry

string
Country where the underlying card was issued.

bankAccount

object
A bank account as contained within a payment method.
Show child attributes

bankAccountID

string required

bankAccountType

string<enum> required
The bank account type.
Possible values: checking, savings, general-ledger, loan

bankName

string required

fingerprint

string <=100 characters required

Once the bank account is linked, we don't reveal the full bank account number.

The fingerprint acts as a way to identify whether two linked bank accounts are the same.

holderName

string required

holderType

string<enum> required
The type of holder on a funding source.
Possible values: individual, business, guest

lastFourAccountNumber

string required

routingNumber

string required

status

string<enum> required
Possible values: new, verified, verificationFailed, pending, errored

updatedOn

string<date-time> required

card

object
A card as contained within a payment method.
Show child attributes

billingAddress

object required
The billing address associated with the card.
Show child attributes

addressLine1

string <=60 characters
Street address line 1.

addressLine2

string <=32 characters
Street address line 2 (e.g., apartment or suite number).

city

string <=32 characters
City name.

country

string <=2 characters
Two-letter ISO 3166-1 country code.

postalCode

string <=10 characters required
Postal or ZIP code.

stateOrProvince

string <=2 characters
Two-letter state or province code.

bin

string [6 to 8] characters required
The first six to eight digits of the card number, which identifies the financial institution that issued the card.

brand

string<enum> required
The card brand.
Possible values: American Express, Discover, Mastercard, Visa, Unknown

cardID

string required
ID of the card.

cardType

string<enum> required
The type of the card.
Possible values: debit, credit, prepaid, unknown

cardVerification

object required
The results of submitting cardholder data to a card network for verification.
Show child attributes

addressLine1

string required
Verification result of the billing address line 1. Derived from the same AVS code as postalCode; the card network returns a single code covering both address fields.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

cvv

string required
Verification result of the card's CVV.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

postalCode

string required
Verification result of the billing address postal code. Derived from the same AVS code as addressLine1; the card network returns a single code covering both address fields.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

accountName

object
Verification results of the cardholder's name, broken down by name component.
The results of submitting cardholder name to a card network for verification.
Show child attributes

firstName

string
Verification result of the cardholder's first name.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

fullName

string
Verification result of the cardholder's full name.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

lastName

string
Verification result of the cardholder's last name.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

middleName

string
Verification result of the cardholder's middle name.
The result of a card verification check.
Possible values: noMatch, match, notChecked, unavailable, partialMatch

expiration

object required
The expiration date of the card or token.
Show child attributes

month

string 2 characters required
Two-digit month the card expires.

year

string 2 characters required
Two-digit year the card expires.

fingerprint

string <=100 characters required
Uniquely identifies a linked payment card or token. For Apple Pay, the fingerprint is based on the tokenized card number and may vary based on the user's device. This field can be used to identify specific payment methods across multiple accounts on your platform.

lastFourCardNumber

string 4 characters required
Last four digits of the card number

cardAccountUpdater

object
The results of the most recent card update request.
Show child attributes

updateType

string<enum>
The results of the card update request.
Possible values: unspecified, account-closed, contact-cardholder, expiration-update, no-change, no-match, number-update

updatedOn

string<date-time>
Timestamp from the card network indicating when the card update was processed.

cardOnFile

boolean
Indicates cardholder has authorized card to be stored for future payments.

domesticPullFromCard

string<enum>
Indicates if the card supports domestic pull-from-card transfer.
Possible values: not-supported, supported, unknown

domesticPushToCard

string<enum>
Indicates which level of domestic push-to-card transfer is supported by the card, if any.
Possible values: not-supported, standard, fast-funds, unknown

holderName

string
The name of the cardholder as it appears on the card.

issuer

string
Financial institution that issued the card.

issuerCountry

string
Country where the card was issued.

merchantAccountID

string
Merchant account whose details (statement descriptor, address, etc.) are used for the card verification authorization. If omitted, the partner account's details are used instead.

googlePay

object
Describes a Google Pay token on a Moov account.
Show child attributes

brand

string<enum> required
The card brand.
Possible values: American Express, Discover, Mastercard, Visa, Unknown

cardDisplayName

string required

User-friendly name of the tokenized card returned by Google Pay.

It usually contains the last four digits of the underlying card. There is no standard format.

cardType

string<enum> required
The type of the card.
Possible values: debit, credit, prepaid, unknown

dynamicLastFour

string 4 characters required
The last four digits of the Google Pay token, which may differ from the tokenized card's last four digits.

expiration

object required
The expiration date of the card or token.
Show child attributes

month

string 2 characters required
Two-digit month the card expires.

year

string 2 characters required
Two-digit year the card expires.

fingerprint

string <=100 characters required
Uniquely identifies a linked payment card or token. For Apple Pay, the fingerprint is based on the tokenized card number and may vary based on the user's device. This field can be used to identify specific payment methods across multiple accounts on your platform.

tokenID

string required
The unique identifier of the Google Pay token.

authMethod

string<enum>
The authentication method used for the Google Pay token.
Possible values: PAN_ONLY, CRYPTOGRAM_3DS

issuerCountry

string
Country where the underlying card was issued.

paymentMethodID

string

paymentMethodType

string<enum>
The payment method type that represents a payment rail and directionality
Possible values: moov-wallet, ach-debit-fund, ach-debit-collect, ach-credit-standard, ach-credit-same-day, rtp-credit, card-payment, push-to-card, pull-from-card, apple-pay, card-present-payment, instant-bank-credit, push-to-apple-pay, pull-from-apple-pay, google-pay, push-to-google-pay, pull-from-google-pay, wire-credit

terminalCard

object
Describes payment card details captured with tap or in-person payment.
Show child attributes

applicationID

string
Identifier for the point of sale terminal application.

applicationName

string
Name label for the point of sale terminal application.

bin

string [6 to 8] characters

brand

string<enum>
The card brand.
Possible values: American Express, Discover, Mastercard, Visa, Unknown

cardType

string<enum>
The type of the card.
Possible values: debit, credit, prepaid, unknown

entryMode

string<enum>
How the card information was entered into the point of sale terminal.
Possible values: contactless

expiration

object
The expiration date of the card or token.
Show child attributes

month

string 2 characters required
Two-digit month the card expires.

year

string 2 characters required
Two-digit year the card expires.

fingerprint

string <=100 characters
Uniquely identifies a linked payment card or token. For Apple Pay, the fingerprint is based on the tokenized card number and may vary based on the user's device. This field can be used to identify specific payment methods across multiple accounts on your platform.

holderName

string
The name of the cardholder as it appears on the card.

issuer

string
Financial institution that issued the card.

issuerCountry

string
Country where the card was issued.

lastFourCardNumber

string 4 characters
Last four digits of the card number

transferID

string
String present only if the transfer is part of a transfer group.

wallet

object
Show child attributes

partnerAccountID

string<uuid> required

walletID

string required

walletType

string<enum> required

Type of a wallet.

  • default: The system-generated wallet automatically created when an account is granted the wallet capability.
  • general: An additional, user-defined wallet created via API or Dashboard.
  • card-issuing: The system-generated wallet automatically created when an account is granted the card-issuing capability.
Possible values: default, general, card-issuing

status

string<enum>
Status of a transfer.
Possible values: created, pending, completed, failed, reversed, queued, awaiting-capture, canceled

sweepID

string
ID of the sweep that created this transfer.

transferID

string

transferType

string<enum>
The rail and direction used to move funds for a transfer.
Possible values: card-payment, push-to-card, pull-from-card, ach-debit, ach-credit, ach-debit-to-ach-credit, instant-bank-credit, wallet, wire-credit